<!--
function ISObject(objA) {
	return ( typeof(objA) == "object" ) 
}
function getOpenerWin(orgWin) {
	var retWin;
	if ( !ISObject(orgWin) || !ISObject(orgWin = orgWin.top) );
	else if ( ISObject(retWin = orgWin.dialogArguments) && !retWin.closed );
	else if ( ISObject(retWin = orgWin.opener) && !retWin.closed );
	else
		retWin = false;
	return retWin;
}
function findTargFrame(currentWin, name) {
	var current = currentWin;
	do {
		if ( ISObject(current = current.top) && ISObject(current.frames[name]) ) 
			return current.frames[name];
	}while ( ISObject(current = getOpenerWin(current)) ) ;
	return ( ISObject(getOpenerWin(currentWin)) ? -1 : 1 );
}
function ret_appletFrame(currentWin) {
	return findTargFrame(currentWin, "Applet");
}
function getAppletUserID() {
	var appletFrame=ret_appletFrame(self);
	return ( ISObject(appletFrame) ? appletFrame.get_user_id() : "" );
}

//-->
